reducers-3.10.1.1: Semigroups, specialized containers and a general map/reduce framework

Portability | non-portable (MPTCs)
Stability | experimental
Maintainer | ekmett@gmail.com
Safe Haskell | Trustworthy

Data.Semigroup.MonadPlus

Description

A semigroup for working with instances of `MonadPlus`

Synopsis

- newtype MonadSum f a = MonadSum {
  - getMonadSum :: f a
  }

# Documentation

newtype MonadSum f a Source

A `MonadSum` turns any `MonadPlus` instance into a `Monoid`.

Constructors

MonadSum |

Fields

getMonadSum :: f a

Instances

Monad f => Monad (MonadSum f) |
MonadPlus f => MonadPlus (MonadSum f) |
MonadPlus f => Reducer (f a) (MonadSum f a) |
MonadPlus f => Monoid (MonadSum f a) |
MonadPlus f => Semigroup (MonadSum f a) |